<!-- Copyright 2018 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/cr_expand_button/cr_expand_button.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-collapse/iron-collapse.html">

<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/oobe_dialog.html">

<dom-module id="assistant-value-prop">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="assistant_shared_styles.css">
    <link rel="stylesheet" href="assistant_value_prop.css">
    <oobe-dialog id="value-prop-dialog" class="value-prop-loading"
        role="dialog" has-buttons no-footer-padding no-header>
      <div slot="footer">
        <div class="container">
          <img id="logo" src="assistant_logo.png"
              aria-label$="[[i18nDynamic(locale, 'assistantLogo')]]">
          <div class="title" id="title-text"></div>
          <div class="content" id="intro-text"></div>
          <div id="column-container" class="flex layout horizontal">
            <div id="value-prop-container">
              <div class="flex layout horizontal center">
                <img id="user-image"
                    aria-label$="[[i18nDynamic(locale, 'assistantUserImage')]]">
                <div class="content" id="user-name"></div>
              </div>
              <webview id="value-prop-view" tabindex="-1"></webview>
            </div>
            <div id="consents-container"></div>
          </div>
          <div class="content" id="footer-text"></div>
        </div>
      </div>
      <div slot="bottom-buttons" class="flex layout horizontal">
        <div class="flex"></div>
        <oobe-text-button id="skip-button" on-click="onSkipTap_"
            disabled="[[buttonsDisabled]]">
          <div id="skip-button-text" slot="text"></div>
        </oobe-text-button>
        <oobe-text-button id="next-button" inverse on-click="onNextTap_"
            disabled="[[buttonsDisabled]]">
          <div id="next-button-text" slot="text"></div>
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <cr-dialog id="learn-more-overlay">
      <div slot="body">
        <div id="overlay-text">
          <div id="overlay-title-text"></div>
          <div id="overlay-additional-info-text"></div>
        </div>
      </div>
      <div slot="button-container">
        <oobe-text-button inverse id="overlay-close-button"
            text-key="assistantOptinOKButton">
        </oobe-text-button>
      </div>
    </cr-dialog>
  </template>
</dom-module>
